using Microsoft.EntityFrameworkCore;


namespace HackathonPreparing.ApiService.DevFeature;

public static class ServicesExtensions
{

    public static void AddDbContextWithDefaultConfiguration<TDbContext>(this WebApplicationBuilder builder) where TDbContext : DbContext
    {
        builder.AddNpgsqlDbContext<TDbContext>("prod", null,
        optionsBuilder => optionsBuilder.UseNpgsql(npgsqlBuilder =>
            npgsqlBuilder.MigrationsAssembly(typeof(Program).Assembly.GetName().Name)));
    }
}